<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    
    <script>
    
        function convertir() {

        var degre = document.getElementById("degre");
        var valeurD = degre.value;
        
        var valeurF= (valeurD  * 9/5) + 32;

        var far = document.getElementById("far");
        far.value = valeurF + " F°";

        }

        function convertirD () {

            var euro = document.getElementById("euros");
            var convert = euro.value ;

            var converti = convert * 1.1;

            var dollar = document.getElementById("devise");
            dollar.value = converti + " $";

        }

        function convertirL () {

            var euro = document.getElementById("euros");
            var convert = euro.value ;

            var converti = convert * 0.89;

            var dollar = document.getElementById("devise");
            dollar.value = converti + " £";

        }

        function convertirF () {

            var euro = document.getElementById("euros");
            var convert = euro.value;

            var converti = convert * 6.55957;

            var dollar = document.getElementById("devise");
            dollar.value = converti + " F";

            }

        function addition (){

            var c1 = parseInt(document.getElementById("chiffre1").value);
            var c2 = parseInt(document.getElementById("chiffre2").value); 
            var resultat = c1 + c2 ;  
            
            document.getElementById("resultat").value = resultat;
        }

        function soustraction (){

            var c1 = parseInt(document.getElementById("chiffre1").value);
            var c2 = parseInt(document.getElementById("chiffre2").value); 
            var resultat = c1 - c2 ;  

            document.getElementById("resultat").value = resultat;
        }

        function multiplication (){

            var c1 = parseInt(document.getElementById("chiffre1").value);
            var c2 = parseInt(document.getElementById("chiffre2").value); 
            var resultat = c1 * c2 ;  

            document.getElementById("resultat").value = resultat;
        }

        function division (){

            var c1 = parseInt(document.getElementById("chiffre1").value);
            var c2 = parseInt(document.getElementById("chiffre2").value); 
            var resultat = c1 / c2 ;  

            document.getElementById("resultat").value = resultat;
        }

        function Lecode (){

            var alphab ="abcdefghijklmnopqrstuvwxyzabcdefghijklmnopqrstuvwxyz";
            var origin = document.getElementById("msg").value;
            var result = "";
            for (var i = 0; i < origin.length ; i++){


                for (var j = 0; j < alphab.length; j++){
                    
                    if(origin[i] == alphab[j]) {
                               
                        var index = j +3 ;
                        result = result + alphab[index];
                        break;
                    }
                    else if (origin[i] = "") {return " "}
                }

            
            }

            document.getElementById("lecode").value = result;

        }

        function decode (){

            var alphab ="abcdefghijklmnopqrstuvwxyzabcdefghijklmnopqrstuvwxyz";
            var code = document.getElementById("lecode").value;
            var result = "";
            for (var i = 0; i < code.length ; i++){


                for (var j = 0; j < alphab.length; j++){
                    
                    if(code[i] == alphab[j]) {
                            
                        var index = j - 3 ;
                        result = result + alphab[index];
                        break;
                    }
                    else if (code[i] = "") {return " "}
                }
            }

            document.getElementById("decode").value = result;
        }

        function efface(){

            document.getElementById("decode").value ="";
            document.getElementById("lecode").value ="";
            document.getElementById("msg").value ="";       

        }

    </script>

<!-- Convertisseur Degree > Fahreinheit -->


    <input type="text" id="degre" name="degre" placeholder="Votre Degré en celsius">

    <input type="text" id="far" name="far" placeholder="en Fahreinheit" value="0">

    <button onclick="convertir()">Convertir</button>

    <br> <br>

<!--Convertisseur de devise -->

<input type="text" id="euros" name="euros" placeholder="Votre montant en €">

<input type="text" id="devise" name="devise" placeholder="votre devise">

<button onclick="convertirD()">En dollar</button>
<button onclick="convertirL()">En livre Sterling</button>
<button onclick="convertirF()">En Franc</button>


<br> <br>

<!-- Calculatrice -->

<input type="text" id="chiffre1" name="chiffre1" placeholder="Votre premier chiffre">

<input type="text" id="chiffre2" name="chiffre2" placeholder="votre 2ème chiffre">

<input type="text" id="resultat" name="resultat" placeholder="votre résultat">

<button onclick="addition()"> + </button>
<button onclick="soustraction()"> - </button>
<button onclick="multiplication()"> X </button>
<button onclick="division()"> / </button>

<br> <br>

<!--Décrypteur code de César -->

<input type="text" id="msg" name="msg" placeholder="Votre message">

<input type="text" id="lecode" name="lecode" placeholder="Le code c'est le code ?">

<button onclick="Lecode()"> Vous êtes prêt à décoder ?</button>

<button onclick="decode()"> Hein ?</button>

<input type="text" id="decode" name="decode" placeholder="T'as dis quoi ?">

<button onclick="efface()"> Clear </button>

</body>

</html>